Kerbal Space Program - Bug #7045

Ship heading drifts during time warp when below 100 km near Kerbin
02/19/2016 09:56 PM - Kasuha

Status: Needs Clarification Start date: 02/19/2016
Severity: Low % Done: 0%
Assignee:

Category: Physics

Target version:

Version: 1.0.5 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

Expected behavior: orbiting ships keep their heading during time warp and in SAS Stability assist mode if no force is applied on them

Observed behavior: Heading of orbiting ships is either constant or drifts, depending on ship's altitude. Speed of the drift depends on
planet's rotational speed (meaning it is most pronounced below 100 km altitude on Kerbin as the fastest spinning body)

Reproduction steps:

® |oad attached above100.sfs
¢ |oad attached above100.sfs again to restore ship's heading (see #6901)

Notice the ship is lined up with maneuver

e enter map mode
¢ Click on planned trajectory and select Warp to Next Maneuver

Notice the ship keeps its alignment with the maneuver
¢ |oad attached below100.sfs
Notice the ship is lined up with maneuver

e enter map mode
e click on planned trajectory and select Warp to Next Maneuver

Notice the ship heading drifts away from the maneuver through the time warp

¢ |oad attached below100.sfs again

¢ make sure SAS stability assist is engaged

e enter x4 physics warp
Observe the ship's heading is drifting too (needs longer observation)
This behavior is especially bothersome when getting ready for a transfer burn with a large ship for which it takes time to line it up
correctly and it needs to be done in advance. Time warping over remaining time to the burn then throws the ship out of alignment and
may lead to necessity to start the burn before the ship is fully aligned.

Classified as Bug: behaviour that appears to be unexpected or not intended by design

Priority Low: Gameplay issue that can be avoided.

History

#1 - 07/17/2016 09:44 AM - TriggerAu

- Status changed from New to Needs Clarification

#2 - 10/15/2016 06:26 PM - Kasuha

Problem still present in 1.2
https://bugs.kerbalspaceprogram.com/issues/6901

Files

below100.sfs 101 KB 02/19/2016 Kasuha
above100.sfs 101 KB 02/19/2016 Kasuha
